Bug 121023 - Writer: when 'Basic Fonts' changed, Insert Table with style still directly applies Liberation Serif 12
Summary: Writer: when 'Basic Fonts' changed, Insert Table with style still directly ap...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 133236 133341 (view as bug list)
Depends on:
Blocks: Writer-Tables-Style
  Show dependency treegraph
 
Reported: 2018-10-29 13:56 UTC by Mark Coetsee
Modified: 2020-05-25 10:47 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
tail of terminal output, bibisect in 64-6.0 repo (2.98 KB, text/plain)
2019-01-15 21:49 UTC, Terrence Enger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Coetsee 2018-10-29 13:56:16 UTC
Description:
New tables are always set to Liberation Serif 12 despite a different font being set in 'Basic Fonts' settings and despite a different font set in 'Table Contents' in Styles

Steps to Reproduce:
1. Table -> Insert Table
2. Insert text in table
3. Text is always set to Liberation Serif 12 and must thereafter be changed to the desired font

Actual Results:
1. Table -> Insert Table
2. Insert text in table
3. Text is always set to Liberation Serif 12 and must thereafter be changed to the desired font

Expected Results:
Text is always set to Liberation Serif 12 and must thereafter be changed to the desired font


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
The table text should be drawn in the font set in Writer's 'Basic Fonts' and in 'Table Contents' in styles...
Comment 1 顧芳宜 2018-11-29 09:23:49 UTC
Version: 6.3.0.0.alpha0+ (x64)
Build ID: 0f25a3c36f27fd51453b9a9115f236b83c143684
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-11-27_20:06:55
Locale: zh-TW (zh_TW); UI-Language: en-US
Calc: threaded

Bug is confirmed in 6.3.0.0.alpha0+ (x64), the latest version so far.
While in the version 6.0.7.3 (x64) as follows, this problem didn't occur.

版本:6.0.7.3 (x64)
組建 ID:dc89aa7a9eabfd848af146d5086077aeed2ae4a5
CPU 執行緒:8; OS:Windows 10.0; UI 算繪:預設; 
語言地區:zh-TW (zh_TW); Calc: CL
Comment 2 Xisco Faulí 2019-01-10 12:58:28 UTC Comment hidden (obsolete)
Comment 3 Timur 2019-01-10 15:34:53 UTC
I reproduce with LO 6.3+ in Windows:
- run Writer and change default fonts to other than Liberation in Tools-Options-Writer-Basic Fonts (I used Linux Biolinum)
- Table -> Insert Table, see that style is Table Contents' but text is still Liberation 
- check 'Table Contents' style and see that it inherits from Default Style and font is Linux Biolinum
Comment 4 Terrence Enger 2019-01-15 21:49:15 UTC
Created attachment 148350 [details]
tail of terminal output, bibisect in 64-6.0 repo

Work on debian-buster in bibisect-linux-64-6.0 repository points to:

    commit 203b913155812706e9be14c5fe2b8f543cc4fdc7
    Author: Jim Raykowski <raykowj@gmail.com>
    Date:   Tue Oct 31 15:48:07 2017 -0800

        tdf#107555 Apply 'Default Style' table style to newly inserted tables
    
        Change-Id: Iac32542bdefc32b07c63cc41cf0f693cc2ca799d
        Reviewed-on: https://gerrit.libreoffice.org/44147
        Tested-by: Jenkins <ci@libreoffice.org>
        Reviewed-by: Miklos Vajna <vmiklos@collabora.co.uk>
        (cherry picked from commit 416f7578d6332b5b5a4445f26307d73925188e41)
        Reviewed-on: https://gerrit.libreoffice.org/46842
        Reviewed-by: Yousuf Philips <philipz85@hotmail.com>

I am removing keyword bibisectRequest and adding bisected and
bibisected, and I am adding Jim Raykowski to cc.
Comment 5 Jim Raykowski 2019-01-16 01:47:54 UTC
Hi All,

In the Insert Table Dialog (Menu->Table->Insert Table), Default Style is the default choice in the Styles list box. A table with any table style applied will overwrite direct formatting. This is what is happening here.

Selecting None in the Style list box will create a table that will not have a table style. Direct formatting will not be overwritten. The Table tool button creates tables with no style assigned.

The regression commit found was reverted shortly after it was introduced.
Comment 6 Timur 2019-01-16 09:04:51 UTC
I change the title from "Writer: Table Contents text is always set to Liberation Serif 12 despite 'Basic Fonts' settings" to "Writer: when 'Basic Fonts' changed, Insert Table with style still directly applies Liberation Serif 12".

I didn't verify that problem didn't occur before. In 6.0 there were no Table Insert styles. Started from 6.1.

I'll remove "regression". More "implementationError".
Comment 7 Telesto 2020-05-20 15:46:33 UTC
FWIW: when using the table button in the toolbar.. it's working as expected.. when using styles.. it breaks.
Comment 8 Heiko Tietze 2020-05-25 08:30:35 UTC
*** Bug 133236 has been marked as a duplicate of this bug. ***
Comment 9 Telesto 2020-05-25 09:07:22 UTC Comment hidden (obsolete)
Comment 10 Telesto 2020-05-25 09:08:10 UTC
Bisected to:
author	Jakub Trzebiatowski <ubap.dev@gmail.com>	2016-06-21 00:31:01 +0200
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2016-07-07 09:02:15 +0000
commit	40fba0f4418084d50cc5c388cb0b6e1abe395d61 (patch)
tree	4b1e97aa7755c80d9a8749fb94dc3fe26a2f35fb
parent	046244bcfe1c5c1cd2325fe74b933c05e43cf190 (diff)
GSoC Writer Table Styles Import
This patch is implementing import of table styles (table-template).

Modified shared code: Added "background" to the cell styles export.

To make cell export properties map accessible by both export and import code,
moved from xmloff/source/table/XMLTableExport.cxx to xmloff/txtprmap.hxx.

To avoid export of default valued properties implemented XPropertyState for
SwXTextCellStyle

https://cgit.freedesktop.org/libreoffice/core/commit/?id=40fba0f4418084d50cc5c388cb0b6e1abe395d61

See bug 133236..
Comment 11 Telesto 2020-05-25 10:40:54 UTC
*** Bug 133341 has been marked as a duplicate of this bug. ***
Comment 12 Telesto 2020-05-25 10:47:02 UTC
Back to normal. it's annoying and there are duplicates.. and table styles are the default